<!DOCTYPE html>
<html>

<head>
	<meta charset="utf-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>Pay.js Demo</title>
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<link rel="stylesheet" type="text/css" media="screen" href="/assets/bootstrap.min.css" />
	<link rel="stylesheet" type="text/css" media="screen" href="/assets/all.min.css" />
	<link rel="stylesheet" type="text/css" media="screen" href="applepay.css" />

	<script type="text/javascript" src="https://localhost/js/v2/pay.js"></script>
	<script type="text/javascript" src="applepay.js"></script>
</head>

<body>
	<div id="appContainer">
		<h1>Pay.js Demo App</h1>
		<hr class="noMarBot">

		<div class="clearfix">
			<button id="backBtn" type="button" class="btn btn-link float-right">
				<i class="far fa-arrow-alt-circle-left"></i>
				Back
			</button>
		</div>

		<div id="configContainer" class="hidden">
			<div>
				<label for="applePayConfig">Apple Pay Config</label>
				<textarea id="applePayConfig" name="applePayConfig" class="form-control smFont marBot15" rows="10"
					placeholder="Enter Apple Pay Config Here" aria-label="Apple Pay Config"></textarea>
				<div id="configErrorContainer" class="hidden alert alert-danger smFont" role="alert"></div>
			</div>
			
			<div class="clearfix">
				<button id="updateConfigBtn" type="button" class="btn btn-dark float-right">
					Apply Changes
					<i class="far fa-arrow-alt-circle-right"></i>
				</button>
			</div>
			<hr>
		</div>




		<div>
			<label for="applePayContainer">Apple Pay Button</label>
			<div id="applePayContainer" class="marBot15">
				<!-- ApplePay iFrame content will go here. -->
			</div>
			<div id="applePayErrorContainer" class="hidden alert alert-danger smFont" role="alert"></div>
		</div>
		<hr>

		<div id="transactionInfoContainer" class="hidden">
			<div>
				<label for="transactionInfo">Transaction Info</label>
				<textarea id="transactionInfo" name="transactionInfo" class="form-control smFont marBot15" rows="10"
					placeholder="Enter Transaction Info Here" aria-label="Transaction Info"></textarea>
			</div>

			<div id="transactionErrorContainer" class="hidden alert alert-danger smFont" role="alert">
			
			</div>

			<div class="clearfix">
				<button id="submitBtn" type="button" class="btn btn-dark float-right">
					Submit Payment Form
					<i class="far fa-arrow-alt-circle-right"></i>
				</button>
			</div>
			<hr>
		</div>

		<div id="transactionResultContainer" class=hidden>
			<label for="transactionResult">Transaction Result</label>
			<textarea id="transactionResult" name="transactionResult" readonly class="form-control smFont marBot15"
				rows="30" placeholder="Transaction results will populate here"
				aria-label="Transaction Result"></textarea>
		</div>
	</div>
</body>

</html>